Bug 18383 - items.onloan schema comment seems to be incorrect.
Summary: items.onloan schema comment seems to be incorrect.
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Pongtawat
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-04 15:37 UTC by Pongtawat
Modified: 2017-05-24 02:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Correct schema comment (1.54 KB, patch)
2017-04-04 16:08 UTC, Pongtawat
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18383 - Correct items.onloan schema comment (1.59 KB, patch)
2017-05-12 05:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18383 - Correct items.onloan schema comment (2.75 KB, patch)
2017-05-12 10:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pongtawat 2017-04-04 15:37:47 UTC
Currently the items.onloan schema comment (in SQL and hence on schema.koha-community.org too) is like this:

defines if item is checked out (NULL for not checked out, and checkout date for checked out)

However, on my installation (16.11.06), the date that Koha put into items.onloan column seems to be due date. So, probably the comment should be changed to:

defines if item is checked out (NULL for not checked out, and due date for checked out)
Comment 1 Pongtawat 2017-04-04 16:08:54 UTC
Created attachment 61844 [details] [review]
Correct schema comment
Comment 2 Katrin Fischer 2017-05-12 05:57:58 UTC
Hi Pongtawat, thx for the patch! Please remember to switch the status from NEW to "Needs Sign-off" after attaching a patch, otherwise this will not show up in people's searches and can get be overlooked.
Comment 3 Katrin Fischer 2017-05-12 05:59:50 UTC
Created attachment 63399 [details] [review]
[SIGNED OFF] Bug 18383 - Correct items.onloan schema comment

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Marcel de Rooy 2017-05-12 10:11:30 UTC
Created attachment 63420 [details] [review]
Bug 18383 - Correct items.onloan schema comment

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Amended to include items and deleteditems.
Comment 5 Kyle M Hall 2017-05-12 13:04:22 UTC
Pushed to master for 17.05, thanks pongtawat!
Comment 6 Katrin Fischer 2017-05-14 10:03:13 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 7 Mason James 2017-05-24 02:38:49 UTC
Pushed to 16.05.x, for 16.05.13 release